Search
lxdream.org :: lxdream :: r529:06ffbecc7262
lxdream 0.9.1
released Jun 29
Download Now
changeset529:06ffbecc7262
parent528:49cb007348aa
child530:28bdc62e642a
authornkeynes
dateMon Nov 19 08:45:00 2007 +0000 (12 years ago)
Make esound optional (only build driver if present)
config.h.in
configure
configure.in
src/Makefile.am
src/Makefile.in
1.1 --- a/config.h.in Sun Nov 18 11:13:42 2007 +0000
1.2 +++ b/config.h.in Mon Nov 19 08:45:00 2007 +0000
1.3 @@ -10,12 +10,18 @@
1.4 /* always defined to indicate that i18n is enabled */
1.5 #undef ENABLE_NLS
1.6
1.7 +/* translation domain */
1.8 +#undef GETTEXT_PACKAGE
1.9 +
1.10 /* Define to 1 if you have the `bind_textdomain_codeset' function. */
1.11 #undef HAVE_BIND_TEXTDOMAIN_CODESET
1.12
1.13 /* Define to 1 if you have the `dcgettext' function. */
1.14 #undef HAVE_DCGETTEXT
1.15
1.16 +/* Have esound support */
1.17 +#undef HAVE_ESOUND
1.18 +
1.19 /* Define if the GNU gettext() function is already present or preinstalled. */
1.20 #undef HAVE_GETTEXT
1.21
2.1 --- a/configure Sun Nov 18 11:13:42 2007 +0000
2.2 +++ b/configure Mon Nov 19 08:45:00 2007 +0000
2.3 @@ -701,6 +701,10 @@
2.4 PKG_CONFIG
2.5 PACKAGE_CFLAGS
2.6 PACKAGE_LIBS
2.7 +ESOUND_CFLAGS
2.8 +ESOUND_LIBS
2.9 +AUDIO_ESOUND_TRUE
2.10 +AUDIO_ESOUND_FALSE
2.11 BUILD_SH4X86_TRUE
2.12 BUILD_SH4X86_FALSE
2.13 CDROM_LINUX_TRUE
2.14 @@ -745,7 +749,9 @@
2.15 CPP
2.16 PKG_CONFIG
2.17 PACKAGE_CFLAGS
2.18 -PACKAGE_LIBS'
2.19 +PACKAGE_LIBS
2.20 +ESOUND_CFLAGS
2.21 +ESOUND_LIBS'
2.22
2.23
2.24 # Initialize some variables set by options.
2.25 @@ -1342,6 +1348,9 @@
2.26 C compiler flags for PACKAGE, overriding pkg-config
2.27 PACKAGE_LIBS
2.28 linker flags for PACKAGE, overriding pkg-config
2.29 + ESOUND_CFLAGS
2.30 + C compiler flags for ESOUND, overriding pkg-config
2.31 + ESOUND_LIBS linker flags for ESOUND, overriding pkg-config
2.32
2.33 Use these variables to override the choices made by `configure' or to help
2.34 it to find libraries and programs with nonstandard names/locations.
2.35 @@ -5056,12 +5065,12 @@
2.36 pkg_cv_PACKAGE_CFLAGS="$PACKAGE_CFLAGS"
2.37 else
2.38 if test -n "$PKG_CONFIG" && \
2.39 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 esound libpng \"") >&5
2.40 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 esound libpng ") 2>&5
2.41 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
2.42 + ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
2.43 ac_status=$?
2.44 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.45 (exit $ac_status); }; then
2.46 - pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " gtk+-2.0 esound libpng " 2>/dev/null`
2.47 + pkg_cv_PACKAGE_CFLAGS=`$PKG_CONFIG --cflags " gtk+-2.0 libpng " 2>/dev/null`
2.48 else
2.49 pkg_failed=yes
2.50 fi
2.51 @@ -5074,12 +5083,12 @@
2.52 pkg_cv_PACKAGE_LIBS="$PACKAGE_LIBS"
2.53 else
2.54 if test -n "$PKG_CONFIG" && \
2.55 - { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 esound libpng \"") >&5
2.56 - ($PKG_CONFIG --exists --print-errors " gtk+-2.0 esound libpng ") 2>&5
2.57 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \" gtk+-2.0 libpng \"") >&5
2.58 + ($PKG_CONFIG --exists --print-errors " gtk+-2.0 libpng ") 2>&5
2.59 ac_status=$?
2.60 echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.61 (exit $ac_status); }; then
2.62 - pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " gtk+-2.0 esound libpng " 2>/dev/null`
2.63 + pkg_cv_PACKAGE_LIBS=`$PKG_CONFIG --libs " gtk+-2.0 libpng " 2>/dev/null`
2.64 else
2.65 pkg_failed=yes
2.66 fi
2.67 @@ -5098,14 +5107,14 @@
2.68 _pkg_short_errors_supported=no
2.69 fi
2.70 if test $_pkg_short_errors_supported = yes; then
2.71 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " gtk+-2.0 esound libpng "`
2.72 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
2.73 else
2.74 - PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " gtk+-2.0 esound libpng "`
2.75 + PACKAGE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors " gtk+-2.0 libpng "`
2.76 fi
2.77 # Put the nasty error message in config.log where it belongs
2.78 echo "$PACKAGE_PKG_ERRORS" >&5
2.79
2.80 - { { echo "$as_me:$LINENO: error: Package requirements ( gtk+-2.0 esound libpng ) were not met:
2.81 + { { echo "$as_me:$LINENO: error: Package requirements ( gtk+-2.0 libpng ) were not met:
2.82
2.83 $PACKAGE_PKG_ERRORS
2.84
2.85 @@ -5116,7 +5125,7 @@
2.86 and PACKAGE_LIBS to avoid the need to call pkg-config.
2.87 See the pkg-config man page for more details.
2.88 " >&5
2.89 -echo "$as_me: error: Package requirements ( gtk+-2.0 esound libpng ) were not met:
2.90 +echo "$as_me: error: Package requirements ( gtk+-2.0 libpng ) were not met:
2.91
2.92 $PACKAGE_PKG_ERRORS
2.93
2.94 @@ -5158,6 +5167,92 @@
2.95 :
2.96 fi
2.97
2.98 +pkg_failed=no
2.99 +{ echo "$as_me:$LINENO: checking for ESOUND" >&5
2.100 +echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
2.101 +
2.102 +if test -n "$PKG_CONFIG"; then
2.103 + if test -n "$ESOUND_CFLAGS"; then
2.104 + pkg_cv_ESOUND_CFLAGS="$ESOUND_CFLAGS"
2.105 + else
2.106 + if test -n "$PKG_CONFIG" && \
2.107 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
2.108 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
2.109 + ac_status=$?
2.110 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.111 + (exit $ac_status); }; then
2.112 + pkg_cv_ESOUND_CFLAGS=`$PKG_CONFIG --cflags "esound" 2>/dev/null`
2.113 +else
2.114 + pkg_failed=yes
2.115 +fi
2.116 + fi
2.117 +else
2.118 + pkg_failed=untried
2.119 +fi
2.120 +if test -n "$PKG_CONFIG"; then
2.121 + if test -n "$ESOUND_LIBS"; then
2.122 + pkg_cv_ESOUND_LIBS="$ESOUND_LIBS"
2.123 + else
2.124 + if test -n "$PKG_CONFIG" && \
2.125 + { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"esound\"") >&5
2.126 + ($PKG_CONFIG --exists --print-errors "esound") 2>&5
2.127 + ac_status=$?
2.128 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
2.129 + (exit $ac_status); }; then
2.130 + pkg_cv_ESOUND_LIBS=`$PKG_CONFIG --libs "esound" 2>/dev/null`
2.131 +else
2.132 + pkg_failed=yes
2.133 +fi
2.134 + fi
2.135 +else
2.136 + pkg_failed=untried
2.137 +fi
2.138 +
2.139 +
2.140 +
2.141 +if test $pkg_failed = yes; then
2.142 +
2.143 +if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
2.144 + _pkg_short_errors_supported=yes
2.145 +else
2.146 + _pkg_short_errors_supported=no
2.147 +fi
2.148 + if test $_pkg_short_errors_supported = yes; then
2.149 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "esound"`
2.150 + else
2.151 + ESOUND_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "esound"`
2.152 + fi
2.153 + # Put the nasty error message in config.log where it belongs
2.154 + echo "$ESOUND_PKG_ERRORS" >&5
2.155 +
2.156 + echo "Warning: esound not found - building without audio support"
2.157 +elif test $pkg_failed = untried; then
2.158 + echo "Warning: esound not found - building without audio support"
2.159 +else
2.160 + ESOUND_CFLAGS=$pkg_cv_ESOUND_CFLAGS
2.161 + ESOUND_LIBS=$pkg_cv_ESOUND_LIBS
2.162 + { echo "$as_me:$LINENO: result: yes" >&5
2.163 +echo "${ECHO_T}yes" >&6; }
2.164 +
2.165 + HAVE_ESOUND='yes'
2.166 +
2.167 +cat >>confdefs.h <<\_ACEOF
2.168 +#define HAVE_ESOUND 1
2.169 +_ACEOF
2.170 +
2.171 +fi
2.172 +
2.173 +
2.174 +if test "$HAVE_ESOUND" = 'yes' ; then
2.175 + AUDIO_ESOUND_TRUE=
2.176 + AUDIO_ESOUND_FALSE='#'
2.177 +else
2.178 + AUDIO_ESOUND_TRUE='#'
2.179 + AUDIO_ESOUND_FALSE=
2.180 +fi
2.181 +
2.182 +
2.183 +
2.184 { echo "$as_me:$LINENO: checking for uncompress in -lz" >&5
2.185 echo $ECHO_N "checking for uncompress in -lz... $ECHO_C" >&6; }
2.186 if test "${ac_cv_lib_z_uncompress+set}" = set; then
2.187 @@ -5960,6 +6055,7 @@
2.188
2.189 GETTEXT_PACKAGE=lxdream
2.190
2.191 +
2.192 cat >>confdefs.h <<_ACEOF
2.193 #define GETTEXT_PACKAGE "$GETTEXT_PACKAGE"
2.194 _ACEOF
2.195 @@ -7583,6 +7679,13 @@
2.196 Usually this means the macro was only invoked conditionally." >&2;}
2.197 { (exit 1); exit 1; }; }
2.198 fi
2.199 +if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
2.200 + { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
2.201 +Usually this means the macro was only invoked conditionally." >&5
2.202 +echo "$as_me: error: conditional \"AUDIO_ESOUND\" was never defined.
2.203 +Usually this means the macro was only invoked conditionally." >&2;}
2.204 + { (exit 1); exit 1; }; }
2.205 +fi
2.206 if test -z "${BUILD_SH4X86_TRUE}" && test -z "${BUILD_SH4X86_FALSE}"; then
2.207 { { echo "$as_me:$LINENO: error: conditional \"BUILD_SH4X86\" was never defined.
2.208 Usually this means the macro was only invoked conditionally." >&5
2.209 @@ -8235,15 +8338,15 @@
2.210 PKG_CONFIG!$PKG_CONFIG$ac_delim
2.211 PACKAGE_CFLAGS!$PACKAGE_CFLAGS$ac_delim
2.212 PACKAGE_LIBS!$PACKAGE_LIBS$ac_delim
2.213 +ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
2.214 +ESOUND_LIBS!$ESOUND_LIBS$ac_delim
2.215 +AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
2.216 +AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
2.217 BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
2.218 BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
2.219 CDROM_LINUX_TRUE!$CDROM_LINUX_TRUE$ac_delim
2.220 CDROM_LINUX_FALSE!$CDROM_LINUX_FALSE$ac_delim
2.221 SHCC!$SHCC$ac_delim
2.222 -SHLD!$SHLD$ac_delim
2.223 -SHOBJCOPY!$SHOBJCOPY$ac_delim
2.224 -ARMCC!$ARMCC$ac_delim
2.225 -ARMLD!$ARMLD$ac_delim
2.226 _ACEOF
2.227
2.228 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2.229 @@ -8285,6 +8388,10 @@
2.230 ac_delim='%!_!# '
2.231 for ac_last_try in false false false false false :; do
2.232 cat >conf$$subs.sed <<_ACEOF
2.233 +SHLD!$SHLD$ac_delim
2.234 +SHOBJCOPY!$SHOBJCOPY$ac_delim
2.235 +ARMCC!$ARMCC$ac_delim
2.236 +ARMLD!$ARMLD$ac_delim
2.237 ARMOBJCOPY!$ARMOBJCOPY$ac_delim
2.238 BUILD_SYSTEST_TRUE!$BUILD_SYSTEST_TRUE$ac_delim
2.239 BUILD_SYSTEST_FALSE!$BUILD_SYSTEST_FALSE$ac_delim
2.240 @@ -8310,7 +8417,7 @@
2.241 LTLIBOBJS!$LTLIBOBJS$ac_delim
2.242 _ACEOF
2.243
2.244 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 23; then
2.245 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 27; then
2.246 break
2.247 elif $ac_last_try; then
2.248 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
3.1 --- a/configure.in Sun Nov 18 11:13:42 2007 +0000
3.2 +++ b/configure.in Mon Nov 19 08:45:00 2007 +0000
3.3 @@ -14,8 +14,13 @@
3.4
3.5 PKG_CHECK_MODULES(PACKAGE,
3.6 [ gtk+-2.0 dnl
3.7 - esound dnl
3.8 libpng ])
3.9 +PKG_CHECK_MODULES(ESOUND, [esound], [
3.10 + HAVE_ESOUND='yes'
3.11 + AC_DEFINE([HAVE_ESOUND],1,[Have esound support]) ],
3.12 + [ echo "Warning: esound not found - building without audio support" ])
3.13 +AM_CONDITIONAL( AUDIO_ESOUND, [test "$HAVE_ESOUND" = 'yes'] )
3.14 +
3.15 AC_CHECK_LIB(z, uncompress, [], [
3.16 echo "Zlib (libz.so) could not be found, but is required."
3.17 exit 1])
3.18 @@ -69,7 +74,7 @@
3.19
3.20 GETTEXT_PACKAGE=lxdream
3.21 AC_SUBST(GETTEXT_PACKAGE)
3.22 -AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE")
3.23 +AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE",[translation domain])
3.24 AC_SUBST(PACKAGE_CFLAGS)
3.25 AC_SUBST(PACKAGE_LIBS)
3.26
4.1 --- a/src/Makefile.am Sun Nov 18 11:13:42 2007 +0000
4.2 +++ b/src/Makefile.am Mon Nov 19 08:45:00 2007 +0000
4.3 @@ -5,7 +5,7 @@
4.4 -DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
4.5 -DPACKAGE_CONF_DIR=\""$(sysconfdir)"\" \
4.6 -Ish4 \
4.7 - @PACKAGE_CFLAGS@
4.8 + @PACKAGE_CFLAGS@ @ESOUND_CFLAGS@
4.9
4.10 bin_PROGRAMS = lxdream
4.11 noinst_PROGRAMS = gendec genglsl
4.12 @@ -39,7 +39,7 @@
4.13 gui/ctrl_dlg.c gui/path_dlg.c gui/gdrom_menu.c \
4.14 loader.c bootstrap.c util.c \
4.15 display.c display.h \
4.16 - drivers/audio_null.c drivers/audio_esd.c \
4.17 + drivers/audio_null.c \
4.18 drivers/video_null.c drivers/video_gtk.c drivers/video_gtk.h \
4.19 drivers/video_x11.c drivers/video_x11.h \
4.20 drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
4.21 @@ -58,7 +58,11 @@
4.22 lxdream_SOURCES += drivers/cd_none.c
4.23 endif
4.24
4.25 -lxdream_LDADD = @PACKAGE_LIBS@ $(INTLLIBS) -lesd
4.26 +if AUDIO_ESOUND
4.27 +lxdream_SOURCES += drivers/audio_esd.c
4.28 +endif
4.29 +
4.30 +lxdream_LDADD = @PACKAGE_LIBS@ @ESOUND_LIBS@ $(INTLLIBS)
4.31
4.32 gendec_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
4.33 genglsl_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
5.1 --- a/src/Makefile.in Sun Nov 18 11:13:42 2007 +0000
5.2 +++ b/src/Makefile.in Mon Nov 19 08:45:00 2007 +0000
5.3 @@ -43,6 +43,7 @@
5.4
5.5 @CDROM_LINUX_TRUE@am__append_2 = drivers/cd_linux.c
5.6 @CDROM_LINUX_FALSE@am__append_3 = drivers/cd_none.c
5.7 +@AUDIO_ESOUND_TRUE@am__append_4 = drivers/audio_esd.c
5.8 ACLOCAL = @ACLOCAL@
5.9 AMDEP_FALSE = @AMDEP_FALSE@
5.10 AMDEP_TRUE = @AMDEP_TRUE@
5.11 @@ -50,6 +51,8 @@
5.12 ARMCC = @ARMCC@
5.13 ARMLD = @ARMLD@
5.14 ARMOBJCOPY = @ARMOBJCOPY@
5.15 +AUDIO_ESOUND_FALSE = @AUDIO_ESOUND_FALSE@
5.16 +AUDIO_ESOUND_TRUE = @AUDIO_ESOUND_TRUE@
5.17 AUTOCONF = @AUTOCONF@
5.18 AUTOHEADER = @AUTOHEADER@
5.19 AUTOMAKE = @AUTOMAKE@
5.20 @@ -77,6 +80,8 @@
5.21 ECHO_N = @ECHO_N@
5.22 ECHO_T = @ECHO_T@
5.23 EGREP = @EGREP@
5.24 +ESOUND_CFLAGS = @ESOUND_CFLAGS@
5.25 +ESOUND_LIBS = @ESOUND_LIBS@
5.26 EXEEXT = @EXEEXT@
5.27 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
5.28 GMOFILES = @GMOFILES@
5.29 @@ -168,7 +173,7 @@
5.30 -DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
5.31 -DPACKAGE_CONF_DIR=\""$(sysconfdir)"\" \
5.32 -Ish4 \
5.33 - @PACKAGE_CFLAGS@
5.34 + @PACKAGE_CFLAGS@ @ESOUND_CFLAGS@
5.35
5.36
5.37 bin_PROGRAMS = lxdream
5.38 @@ -203,14 +208,14 @@
5.39 gui/ctrl_dlg.c gui/path_dlg.c gui/gdrom_menu.c \
5.40 loader.c bootstrap.c util.c \
5.41 display.c display.h \
5.42 - drivers/audio_null.c drivers/audio_esd.c \
5.43 + drivers/audio_null.c \
5.44 drivers/video_null.c drivers/video_gtk.c drivers/video_gtk.h \
5.45 drivers/video_x11.c drivers/video_x11.h \
5.46 drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
5.47 drivers/gl_sl.c drivers/gl_slsrc.c\
5.48 -$(am__append_1) $(am__append_2) $(am__append_3)
5.49 +$(am__append_1) $(am__append_2) $(am__append_3) $(am__append_4)
5.50
5.51 -lxdream_LDADD = @PACKAGE_LIBS@ $(INTLLIBS) -lesd
5.52 +lxdream_LDADD = @PACKAGE_LIBS@ @ESOUND_LIBS@ $(INTLLIBS)
5.53
5.54 gendec_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
5.55 genglsl_LDADD = @PACKAGE_LIBS@ $(INTLLIBS)
5.56 @@ -267,18 +272,19 @@
5.57 gui/gtkcb.c gui/mmio_win.c gui/debug_win.c gui/dump_win.c \
5.58 gui/ctrl_dlg.c gui/path_dlg.c gui/gdrom_menu.c loader.c \
5.59 bootstrap.c util.c display.c display.h drivers/audio_null.c \
5.60 - drivers/audio_esd.c drivers/video_null.c drivers/video_gtk.c \
5.61 - drivers/video_gtk.h drivers/video_x11.c drivers/video_x11.h \
5.62 - drivers/gl_common.c drivers/gl_common.h drivers/gl_fbo.c \
5.63 - drivers/gl_sl.c drivers/gl_slsrc.c sh4/sh4x86.c sh4/sh4trans.c \
5.64 - sh4/sh4trans.h x86dasm/x86dasm.c x86dasm/x86dasm.h \
5.65 - x86dasm/i386-dis.c x86dasm/dis-init.c x86dasm/dis-buf.c \
5.66 - drivers/cd_linux.c drivers/cd_none.c
5.67 + drivers/video_null.c drivers/video_gtk.c drivers/video_gtk.h \
5.68 + drivers/video_x11.c drivers/video_x11.h drivers/gl_common.c \
5.69 + drivers/gl_common.h drivers/gl_fbo.c drivers/gl_sl.c \
5.70 + drivers/gl_slsrc.c sh4/sh4x86.c sh4/sh4trans.c sh4/sh4trans.h \
5.71 + x86dasm/x86dasm.c x86dasm/x86dasm.h x86dasm/i386-dis.c \
5.72 + x86dasm/dis-init.c x86dasm/dis-buf.c drivers/cd_linux.c \
5.73 + drivers/cd_none.c drivers/audio_esd.c
5.74 @BUILD_SH4X86_TRUE@am__objects_1 = sh4x86.$(OBJEXT) sh4trans.$(OBJEXT) \
5.75 @BUILD_SH4X86_TRUE@ x86dasm.$(OBJEXT) i386-dis.$(OBJEXT) \
5.76 @BUILD_SH4X86_TRUE@ dis-init.$(OBJEXT) dis-buf.$(OBJEXT)
5.77 @CDROM_LINUX_TRUE@am__objects_2 = cd_linux.$(OBJEXT)
5.78 @CDROM_LINUX_FALSE@am__objects_3 = cd_none.$(OBJEXT)
5.79 +@AUDIO_ESOUND_TRUE@am__objects_4 = audio_esd.$(OBJEXT)
5.80 am_lxdream_OBJECTS = main.$(OBJEXT) config.$(OBJEXT) mem.$(OBJEXT) \
5.81 watch.$(OBJEXT) asic.$(OBJEXT) syscall.$(OBJEXT) bios.$(OBJEXT) \
5.82 dcload.$(OBJEXT) ide.$(OBJEXT) gdimage.$(OBJEXT) \
5.83 @@ -297,10 +303,10 @@
5.84 dump_win.$(OBJEXT) ctrl_dlg.$(OBJEXT) path_dlg.$(OBJEXT) \
5.85 gdrom_menu.$(OBJEXT) loader.$(OBJEXT) bootstrap.$(OBJEXT) \
5.86 util.$(OBJEXT) display.$(OBJEXT) audio_null.$(OBJEXT) \
5.87 - audio_esd.$(OBJEXT) video_null.$(OBJEXT) video_gtk.$(OBJEXT) \
5.88 - video_x11.$(OBJEXT) gl_common.$(OBJEXT) gl_fbo.$(OBJEXT) \
5.89 - gl_sl.$(OBJEXT) gl_slsrc.$(OBJEXT) $(am__objects_1) \
5.90 - $(am__objects_2) $(am__objects_3)
5.91 + video_null.$(OBJEXT) video_gtk.$(OBJEXT) video_x11.$(OBJEXT) \
5.92 + gl_common.$(OBJEXT) gl_fbo.$(OBJEXT) gl_sl.$(OBJEXT) \
5.93 + gl_slsrc.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
5.94 + $(am__objects_3) $(am__objects_4)
5.95 lxdream_OBJECTS = $(am_lxdream_OBJECTS)
5.96 lxdream_DEPENDENCIES =
5.97 lxdream_LDFLAGS =
5.98 @@ -1595,28 +1601,6 @@
5.99 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.100 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o audio_null.obj `if test -f 'drivers/audio_null.c'; then $(CYGPATH_W) 'drivers/audio_null.c'; else $(CYGPATH_W) '$(srcdir)/drivers/audio_null.c'; fi`
5.101
5.102 -audio_esd.o: drivers/audio_esd.c
5.103 -@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT audio_esd.o -MD -MP -MF "$(DEPDIR)/audio_esd.Tpo" \
5.104 -@am__fastdepCC_TRUE@ -c -o audio_esd.o `test -f 'drivers/audio_esd.c' || echo '$(srcdir)/'`drivers/audio_esd.c; \
5.105 -@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/audio_esd.Tpo" "$(DEPDIR)/audio_esd.Po"; \
5.106 -@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/audio_esd.Tpo"; exit 1; \
5.107 -@am__fastdepCC_TRUE@ fi
5.108 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='drivers/audio_esd.c' object='audio_esd.o' libtool=no @AMDEPBACKSLASH@
5.109 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/audio_esd.Po' tmpdepfile='$(DEPDIR)/audio_esd.TPo' @AMDEPBACKSLASH@
5.110 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.111 -@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o audio_esd.o `test -f 'drivers/audio_esd.c' || echo '$(srcdir)/'`drivers/audio_esd.c
5.112 -
5.113 -audio_esd.obj: drivers/audio_esd.c
5.114 -@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT audio_esd.obj -MD -MP -MF "$(DEPDIR)/audio_esd.Tpo" \
5.115 -@am__fastdepCC_TRUE@ -c -o audio_esd.obj `if test -f 'drivers/audio_esd.c'; then $(CYGPATH_W) 'drivers/audio_esd.c'; else $(CYGPATH_W) '$(srcdir)/drivers/audio_esd.c'; fi`; \
5.116 -@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/audio_esd.Tpo" "$(DEPDIR)/audio_esd.Po"; \
5.117 -@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/audio_esd.Tpo"; exit 1; \
5.118 -@am__fastdepCC_TRUE@ fi
5.119 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='drivers/audio_esd.c' object='audio_esd.obj' libtool=no @AMDEPBACKSLASH@
5.120 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/audio_esd.Po' tmpdepfile='$(DEPDIR)/audio_esd.TPo' @AMDEPBACKSLASH@
5.121 -@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.122 -@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o audio_esd.obj `if test -f 'drivers/audio_esd.c'; then $(CYGPATH_W) 'drivers/audio_esd.c'; else $(CYGPATH_W) '$(srcdir)/drivers/audio_esd.c'; fi`
5.123 -
5.124 video_null.o: drivers/video_null.c
5.125 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT video_null.o -MD -MP -MF "$(DEPDIR)/video_null.Tpo" \
5.126 @am__fastdepCC_TRUE@ -c -o video_null.o `test -f 'drivers/video_null.c' || echo '$(srcdir)/'`drivers/video_null.c; \
5.127 @@ -1947,6 +1931,28 @@
5.128 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.129 @am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o cd_none.obj `if test -f 'drivers/cd_none.c'; then $(CYGPATH_W) 'drivers/cd_none.c'; else $(CYGPATH_W) '$(srcdir)/drivers/cd_none.c'; fi`
5.130
5.131 +audio_esd.o: drivers/audio_esd.c
5.132 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT audio_esd.o -MD -MP -MF "$(DEPDIR)/audio_esd.Tpo" \
5.133 +@am__fastdepCC_TRUE@ -c -o audio_esd.o `test -f 'drivers/audio_esd.c' || echo '$(srcdir)/'`drivers/audio_esd.c; \
5.134 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/audio_esd.Tpo" "$(DEPDIR)/audio_esd.Po"; \
5.135 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/audio_esd.Tpo"; exit 1; \
5.136 +@am__fastdepCC_TRUE@ fi
5.137 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='drivers/audio_esd.c' object='audio_esd.o' libtool=no @AMDEPBACKSLASH@
5.138 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/audio_esd.Po' tmpdepfile='$(DEPDIR)/audio_esd.TPo' @AMDEPBACKSLASH@
5.139 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.140 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o audio_esd.o `test -f 'drivers/audio_esd.c' || echo '$(srcdir)/'`drivers/audio_esd.c
5.141 +
5.142 +audio_esd.obj: drivers/audio_esd.c
5.143 +@am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT audio_esd.obj -MD -MP -MF "$(DEPDIR)/audio_esd.Tpo" \
5.144 +@am__fastdepCC_TRUE@ -c -o audio_esd.obj `if test -f 'drivers/audio_esd.c'; then $(CYGPATH_W) 'drivers/audio_esd.c'; else $(CYGPATH_W) '$(srcdir)/drivers/audio_esd.c'; fi`; \
5.145 +@am__fastdepCC_TRUE@ then mv -f "$(DEPDIR)/audio_esd.Tpo" "$(DEPDIR)/audio_esd.Po"; \
5.146 +@am__fastdepCC_TRUE@ else rm -f "$(DEPDIR)/audio_esd.Tpo"; exit 1; \
5.147 +@am__fastdepCC_TRUE@ fi
5.148 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='drivers/audio_esd.c' object='audio_esd.obj' libtool=no @AMDEPBACKSLASH@
5.149 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ depfile='$(DEPDIR)/audio_esd.Po' tmpdepfile='$(DEPDIR)/audio_esd.TPo' @AMDEPBACKSLASH@
5.150 +@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
5.151 +@am__fastdepCC_FALSE@ $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o audio_esd.obj `if test -f 'drivers/audio_esd.c'; then $(CYGPATH_W) 'drivers/audio_esd.c'; else $(CYGPATH_W) '$(srcdir)/drivers/audio_esd.c'; fi`
5.152 +
5.153 testsh4x86.o: test/testsh4x86.c
5.154 @am__fastdepCC_TRUE@ if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT testsh4x86.o -MD -MP -MF "$(DEPDIR)/testsh4x86.Tpo" \
5.155 @am__fastdepCC_TRUE@ -c -o testsh4x86.o `test -f 'test/testsh4x86.c' || echo '$(srcdir)/'`test/testsh4x86.c; \
.